Bug 714332 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000070: TAINTED Die
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c368135dfc8f834a1aaa244a89d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-18 02:44 EDT by Dagan McGregor
Modified: 2011-08-17 22:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 22:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dagan McGregor 2011-06-18 02:44:45 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_tighanardrigh-root rd_MD_UUID=4b08eb1c:95277a3a:ab61a0ad:b95098dd rd_LVM_LV=vg_tighanardrigh/root rd_LVM_LV=vg_tighanardrigh/swap rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        Not sure how this happened. 
component:      kernel
kernel:         2.6.38.8-32.fc15.x86_64
kernel_tainted: 128
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Sat Jun 18 01:05:46 2011

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
:IP: [<ffffffff81211466>] elv_put_request+0x10/0x20
:PGD 37181067 PUD 37b50067 PMD 0 
:Oops: 0000 [#1] SMP 
:last sysfs file: /sys/devices/system/cpu/cpu3/cache/index2/shared_cpu_map
:CPU 0 
:Modules linked in: fuse sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables it87 hwmon_vid coretemp xts gf128mul dm_crypt joydev snd_hda_codec_hdmi snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_event snd_seq_midi_emul snd_hda_intel x38_edac snd_hda_codec snd_emu10k1 edac_core emu10k1_gp snd_rawmidi snd_ac97_codec snd_seq ac97_bus snd_seq_device gameport microcode i2c_i801 snd_util_mem snd_pcm serio_raw snd_hwdep iTCO_wdt r8169 snd_timer snd iTCO_vendor_support mii soundcore snd_page_alloc ipv6 raid1 firewire_ohci firewire_core crc_itu_t usb_storage uas radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1550, comm: udisks-daemon Not tainted 2.6.38.8-32.fc15.x86_64 #1 Gigabyte Technology Co., Ltd. X48-DQ6/X48-DQ6
:RIP: 0010:[<ffffffff81211466>]  [<ffffffff81211466>] elv_put_request+0x10/0x20
:RSP: 0018:ffff88003737dc58  EFLAGS: 00010006
:RAX: 0000000000000000 RBX: ffff880122aa0000 RCX: 000000000000071e
:RDX: ffff8801235c5240 RSI: ffff8801081ef518 RDI: ffff880122aa0000
:RBP: ffff88003737dc58 R08: ffff88003737c000 R09: ffff8800cfc13840
:R10: 0000001b0ca4ab44 R11: ffff8800cfc13840 R12: ffff8801081ef518
:R13: 0000000002749000 R14: ffff880100630c00 R15: 0000000000000000
:FS:  00007f80738d87c0(0000) GS:ffff8800cfc00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000000070 CR3: 0000000037182000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process udisks-daemon (pid: 1550, threadinfo ffff88003737c000, task ffff880037380000)
:Stack:
: ffff88003737dc88 ffffffff81215e53 ffff880122aa0000 ffff880122aa0000
: ffff8801081ef518 0000000000000246 ffff88003737dcb8 ffffffff81216236
: ffff8801081ef518 0000000000010000 ffff8801081ef518 0000000000000000
:Call Trace:
: [<ffffffff81215e53>] __blk_put_request+0x82/0xb5
: [<ffffffff81216236>] blk_put_request+0x31/0x49
: [<ffffffff812fc955>] scsi_execute+0x135/0x146
: [<ffffffff812fca02>] scsi_execute_req+0x9c/0xce
: [<ffffffff812f8a9c>] ioctl_internal_command.constprop.1+0x6b/0x163
: [<ffffffff812f8bed>] scsi_set_medium_removal+0x59/0x94
: [<ffffffff8130638b>] sd_release+0x9c/0xb3
: [<ffffffff81149aa2>] __blkdev_put+0xc6/0x179
: [<ffffffff81149c59>] blkdev_put+0x104/0x10c
: [<ffffffff81149c86>] blkdev_close+0x25/0x27
: [<ffffffff811229ad>] fput+0x121/0x1bb
: [<ffffffff8111ff17>] filp_close+0x66/0x70
: [<ffffffff8111ffbe>] sys_close+0x9d/0xda
: [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
:Code: 8b 40 68 48 85 c0 74 04 ff d0 eb 0d 48 c7 86 98 00 00 00 00 00 00 00 31 c0 5d c3 55 48 89 e5 0f 1f 44 00 00 48 8b 47 18 48 8b 00 
:RIP  [<ffffffff81211466>] elv_put_request+0x10/0x20
: RSP <ffff88003737dc58>
:CR2: 0000000000000070

event_log:
:2011-06-18-18:44:37> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-18-18:44:39  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:59 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:02:00 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:40:55 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:34:05 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:58:45 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:49:04 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:31:49 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.